-- Demo SQL tables for the demo app and WebFrame system

-- The User table only requires user and passwd in the default WebFrame
-- config. This can be overridden by changing the opts listed at the
-- top of WebFrame/__init__.py
create table User (
	`id` int PRIMARY KEY auto_increment, -- This is not required nor 
					     -- recognized by WebFrame
	`user` varchar(64), KEY(`user`),
	`passwd` varchar(64), 
	`superuser` int default 0, -- This is not required, but recognized
	`other_stuff` text -- This is not required nor recognized
) Engine=innodb;

create table Session (
	`sid` varchar(34) PRIMARY KEY,  -- Must be at least 32 chars
	`data` blob,  -- Should be blob so data is stored in binary
	`changed` timestamp DEFAULT CURRENT_TIMESTAMP 
	                    ON UPDATE CURRENT_TIMESTAMP
	-- The changed column is not required nor recognized by WebFrame
	-- However it is useful for cleaning out old sessions
) Engine=innodb;

create table Translate (
	`tag` varchar(32),
	`lang` char(3),
	`text` text
) Engine=innodb;

INSERT INTO Translate VALUES('TEST', 'en', 'Translated test');